Межсайтовый скриптинг в Cerberus Helpdesk

Дата публикации:
09.06.2005
Дата изменения:
17.10.2006
Всего просмотров:
1037
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2005-1962
CVE-2005-1963
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Cerberus Helpdesk 2.x
Уязвимые версии: Cerberus Helpdesk 0.97.3 - 2.6.1

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить доступ к потенциально важным данным других пользователей.

Уязвимость существует из-за недостаточной фильтрации входных данных в параметре 'errorcode'. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный HTML сценарий в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[target]/cerberus/index.php?errorcode=
[Xss]&errorvalue=4&sid=[sessionid]

Удаленный пользователь может получить информацию об установочной директории приложения. Примеры:

http://[target]/cerberus/reports.php?report=1dudul
&sid=f1944ec07b cbab62f52bbd5b00334e75

http://[target]/cerberus/knowledgebase.php?root=1
& sid=f215cf14a3c0df908cf8bdf8a99c2a84

http://[target]/cerberus/configuration.php?module=
kbas e_comments&sid=f215cf14a3c0df908cf8bdf8a99c2a84

URL производителя: www.cerberusweb.com

Решение: Установите обновление с сайта производителя.

Ссылки: [ECHO_ADV_15$2005] Full path disclosure and XSS in Cerberus Helpdesk

или введите имя

CAPTCHA